@if (componentData$ | async; as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'dashboard'"
          [sqtmCoreAnchorCollapsePanel]="'dashboard'"
          [nzHeader]="dashboardTitle"
          class="anchor"
        >
          @if (componentData.testCaseLibrary.shouldShowFavoriteDashboard) {
            @if (componentData.testCaseLibrary.dashboard) {
              <div style="height: 84vh">
                @if (
                  componentData.testCaseLibrary.dashboard.chartBindings
                    .length !== 0 ||
                  componentData.testCaseLibrary.dashboard.reportBindings
                    .length !== 0
                ) {
                  <sqtm-app-custom-dashboard
                    [dashboardId]="componentData.testCaseLibrary.dashboard.id"
                    [chartBindings]="
                      getChartBindings(componentData.testCaseLibrary.dashboard)
                    "
                  ></sqtm-app-custom-dashboard>
                } @else {
                  <div style="height: 84vh; text-align: center">
                    <span style="font-weight: 600">
                      {{
                        'sqtm-core.custom-report-workspace.dashboard-view.empty-favorite.label'
                          | translate
                      }}
                    </span>
                  </div>
                }
              </div>
            } @else {
              <div style="height: 84vh; text-align: center">
                <span style="font-weight: 600">
                  {{
                    'sqtm-core.generic.workspace.messages.add-favorite-dashboard'
                      | translate
                  }}
                </span>
              </div>
            }
          } @else {
            @if (componentData.testCaseLibrary.statistics) {
              <sqtm-app-test-case-statistic-panel
                [statistics]="componentData.testCaseLibrary.statistics"
                [scope]="this.getStatisticScope(componentData.testCaseLibrary)"
              >
              </sqtm-app-test-case-statistic-panel>
            }
          }
          <ng-template #dashboardTitle>
            <div
              class="flex-row full-width"
              style="justify-content: space-between; overflow: hidden"
            >
              <div
                class="entity-view-collapse-panel-title flex-fixed-size m-r-10"
              >
                @if (componentData.testCaseLibrary.dashboard) {
                  <span
                    >{{ componentData.testCaseLibrary.dashboard.name }}
                  </span>
                } @else {
                  <span>{{
                    'sqtm-core.generic.label.dashboard.title' | translate
                  }}</span>
                }
              </div>
              @if (
                componentData.testCaseLibrary.dashboard ||
                componentData.testCaseLibrary.statistics
              ) {
                <div
                  class="txt-ellipsis m-r-10 m-t-2 generated-label label-color"
                >
                  {{
                    'sqtm-core.generic.date.prefix.generated-on'
                      | translate
                      | capitalize
                  }}
                  {{
                    componentData.testCaseLibrary.generatedDashboardOn
                      | date: 'medium'
                  }}
                </div>
                <button
                  class="flex-fixed-size"
                  [attr.data-test-element-id]="'refresh-button'"
                  nz-button
                  [nzType]="'primary'"
                  [nzSize]="'small'"
                  nz-tooltip
                  [nzTooltipTitle]="
                    'sqtm-core.generic.label.refresh' | translate | capitalize
                  "
                  (click)="refreshStats($event, componentData)"
                >
                  <span>
                    <i
                      nz-icon
                      nzType="sqtm-core-generic:refresh"
                      nzTheme="outline"
                    ></i>
                  </span>
                </button>
              }
              @if (!componentData.testCaseLibrary.shouldShowFavoriteDashboard) {
                <button
                  class="flex-fixed-size m-l-5"
                  [attr.data-test-element-id]="'favorite-button'"
                  nz-button
                  [nzType]="'primary'"
                  [nzSize]="'small'"
                  nz-tooltip
                  [nzTooltipTitle]="
                    'sqtm-core.generic.label.favorite' | translate
                  "
                  (click)="displayFavoriteDashboard($event)"
                >
                  <span>
                    {{ 'sqtm-core.generic.label.favorite' | translate }}
                  </span>
                </button>
              }
              @if (componentData.testCaseLibrary.shouldShowFavoriteDashboard) {
                <button
                  class="flex-fixed-size m-l-5"
                  [attr.data-test-element-id]="'default-button'"
                  nz-button
                  [nzType]="'primary'"
                  [nzSize]="'small'"
                  nz-tooltip
                  [nzTooltipTitle]="
                    'sqtm-core.generic.label.default' | translate
                  "
                  (click)="displayDefaultDashboard($event)"
                >
                  {{ 'sqtm-core.generic.label.default' | translate }}
                </button>
              }
            </div>
          </ng-template>
        </nz-collapse-panel>
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          sqtmCoreAnchorLastPanel
          [nzHeader]="informationTitle"
          class="anchor"
        >
          <ng-template #informationTitle>
            <div class="entity-view-collapse-panel-title">
              {{
                'sqtm-core.test-case-workspace.title.information' | translate
              }}
            </div>
          </ng-template>
          <div class="test-case-library-information-grid">
            <sqtm-core-label
              [text]="'sqtm-core.entity.generic.description.label' | translate"
            >
            </sqtm-core-label>
            <sqtm-core-editable-rich-text
              [size]="'small'"
              [border]="true"
              [editable]="false"
              [sqtmCoreEntityViewEditableRichTextField]="'description'"
              [attr.data-test-field-id]="'description'"
              [placeholder]="
                'sqtm-core.generic.editable.description.placeholder' | translate
              "
            >
            </sqtm-core-editable-rich-text>
          </div>
        </nz-collapse-panel>
        <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
      </nz-collapse>
    </div>
  </div>
}
